NNG_MSG_HEADER_INSERT(3)

NAME
nng_msg_header_insert - prepend to message header

SYNOPSIS

    #include <nng/nng.h>
    int nng_msg_header_insert(nng_msg *msg, const void *val, size_t size);
    int nng_msg_header_insert_u16(nng_msg *msg, uint16_t val16);
    int nng_msg_header_insert_u32(nng_msg *msg, uint32_t val32);
    int nng_msg_header_insert_u64(nng_msg *msg, uint64_t val64);

DESCRIPTION

The nng_msg_header_insert() family of functions prepends data to the front of the headers of message msg, reallocating if necessary. The first function prepends size bytes, copying them from val. The remaining functions prepend the specified value (such as val32) in network-byte order (big-endian).

RETURN VALUES

These functions return 0 on success, and non-zero otherwise.

ERRORS

NNG_ENOMEM
    Insufficient free memory exists.

SEE ALSO

nng_msg_alloc(3), nng_msg_header(3), nng_msg_header_append(3), nng_msg_header_chop(3), nng_msg_header_len(3), nng_msg_header_trim(3), nng_msg_free(3), nng_msg_capacity(3), nng_msg_reserve(3), nng_msg_realloc(3), nng_strerror(3), nng(7)